import gtk
import gtk.glade

class PyAtCronNewTask:
	def __init__ (self, parent):
		self.widgetTree = gtk.glade.XML ("newtask.glade", "newtask")
		dic = {
						"on_newtask_delete_event" : self.deleteEvent,
						"on_cancel_button_clicked" : self.cancelClicked
					}
		self.widgetTree.signal_autoconnect (dic)
		self.win = self.widgetTree.get_widget ("newtask")
		if parent:
			self.win.set_transient_for (parent)
		self.win.set_position (gtk.WIN_POS_CENTER_ON_PARENT)

		self.widgetTree.get_widget("eventbox1").modify_bg (gtk.STATE_NORMAL, gtk.gdk.color_parse("#707070"))
		self.widgetTree.get_widget("back_button").set_sensitive (False)

		self.win.show ()

	def deleteEvent (self, event, obj):
		self.quit ()

	def cancelClicked (self, obj):
		self.quit ()

	def quit (self):
		self.win.destroy ()
